> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoycore/dev-api/enum.md).

# enum

A enum type is used for constants properties. That defines mostly a set of properties that belong to each other.

This can be used in plugins or in standard servoy api, the enum type is more typed so it shows in the javascript completion like: `enum<SomeType>`

This way the constants are typesafe. You can only drop a constant defined as `enum<SomeType>` in parameter of a **method that has that exact enum type** like `SomeType.UPDATE`, `SomeType.DELETE` which are `enum<SomeType>` but `AnotherType.UPDATE` <mark style="color:red;">**doesn't match**</mark>.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/enum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
